MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027022Open CASCADE[OCCT] OCCT:Configurationpublic2015-12-21 12:102016-04-20 15:50
Reporteribs 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027022: Configuration, CMake - rename ungrouped variables to include them to the existing groups
Description1. Several variables are out of groups; these should be renamed to get to relevant group. The proposed replacement is:

APPLY_OCCT_PATCH_DIR -> BUILD_PATCH
OCCT_ALGO_EXTENDED_OUTPUT -> BUILD_WITH_DEBUG
REBUILD_PLATFORM_DEPENDENT_CODE -> BUILD_YACCLEX

2. Variable 3RDPARTY_DOXYGEN_DOT_EXECUTABLE should be renamed to 3RDPARTY_DOT_EXECUTABLE -- dot is not part of Doxygen (but part of Graphviz -- this should be indicated in tooltip message)
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships
child of 0026944closedbugmaster CMake remarks 

-  Notes
(0049359)
git (administrator)
2015-12-21 14:51

Branch CR27022 has been created by ibs.

SHA-1: 654367ffa6dea1045ef6322da5e4e77ed6605d46


Detailed log of new commits:

Author: ibs
Date: Mon Dec 14 12:42:05 2015 +0300

    0027022: Configuration, CMake - rename ungrouped variables to include them to the existing groups
    
    APPLY_OCCT_PATCH_DIR renamed with BUILD_PATCH
    OCCT_ALGO_EXTENDED_OUTPUT renamed with BUILD_WITH_DEBUG
    REBUILD_PLATFORM_DEPENDENT_CODE renamed with BUILD_YACCLEX
    
    3RDPARTY_DOXYGEN_DOT_EXECUTABLE renamed with 3RDPARTY_DOT_EXECUTABLE
(0049360)
ibs (developer)
2015-12-21 14:54

dear ski,
please review CR27022 branch of OCCT git
(0049373)
ski (developer)
2015-12-21 16:24

No remarks, please proceed.
(0049451)
bugmaster (administrator)
2015-12-22 15:01

Integrated with 27025
(0053007)
git (administrator)
2016-04-17 13:54

Branch CR27022 has been deleted by kgv.

SHA-1: 654367ffa6dea1045ef6322da5e4e77ed6605d46

- Related Changesets
occt: master 109aa56e
Timestamp: 2015-12-14 09:42:05
Author: ibs
Committer: bugmaster
Details ] Diff ]
0027022: Configuration, CMake - rename ungrouped variables to include them to the existing groups

APPLY_OCCT_PATCH_DIR renamed with BUILD_PATCH
OCCT_ALGO_EXTENDED_OUTPUT renamed with BUILD_WITH_DEBUG
REBUILD_PLATFORM_DEPENDENT_CODE renamed with BUILD_YACCLEX

3RDPARTY_DOXYGEN_DOT_EXECUTABLE renamed with 3RDPARTY_DOT_EXECUTABLE
mod - adm/cmake/doxygen.cmake Diff ] File ]
mod - adm/cmake/occt_macros.cmake Diff ] File ]
mod - adm/cmake/occt_toolkit.cmake Diff ] File ]
mod - adm/cmake/vardescr.cmake Diff ] File ]
mod - CMakeLists.txt Diff ] File ]
mod - dox/dev_guides/building/cmake/cmake.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-12-21 12:10 ibs New Issue
2015-12-21 12:10 ibs Assigned To => ibs
2015-12-21 12:11 ibs Relationship added child of 0026944
2015-12-21 14:39 ibs Summary Configuration, CMake - rename ungrouped variables to include them to the existing groups (BUILD, 3RDPARTY and etc) => Configuration, CMake - rename ungrouped variables to include them to the existing groups
2015-12-21 14:51 git Note Added: 0049359
2015-12-21 14:54 ibs Note Added: 0049360
2015-12-21 14:54 ibs Assigned To ibs => ski
2015-12-21 14:54 ibs Status new => resolved
2015-12-21 14:54 ibs Steps to Reproduce Updated View Revisions
2015-12-21 16:24 ski Note Added: 0049373
2015-12-21 16:24 ski Assigned To ski => bugmaster
2015-12-21 16:24 ski Status resolved => reviewed
2015-12-22 15:01 bugmaster Note Added: 0049451
2015-12-22 15:01 bugmaster Status reviewed => tested
2015-12-25 19:04 bugmaster Changeset attached => occt master 109aa56e
2015-12-25 19:04 bugmaster Status tested => verified
2015-12-25 19:04 bugmaster Resolution open => fixed
2016-04-17 13:54 git Note Added: 0053007
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker